import java.io.IOException;

import decisionanalysis.DecisionTree;


public final class DTPronouncer extends Object
{
    private final static int MAX_MODELS = 10;

    private DecisionTree[] models;


    public DTPronouncer()
    {
	models = new DecisionTree[MAX_MODELS];
    }


    public int loadModel(String path)
    {
	int i;
	for (i = 0; i < MAX_MODELS && models[i] != null; i++)
	    ;
	if (i == MAX_MODELS)
	    return -1;
	try
	{
	    models[i] = new DecisionTree(path);
	}
	catch (IOException e1)
	{
	    return -1;
	}
	return i;
    }

    public void freeModel(int modelId)
    {
	models[modelId] = null;
    }

    public void setModelValues(int modelId, double[] values, int first)
    {
	models[modelId].setValues(values, first);
    }

    public int evaluateModel(int modelId)
    {
	return models[modelId].getOptimalDecision();
    }
}
